#! /usr/bin/sh
echo ""
echo "========= Building RMI Cluster example ========="

javac -d $SERVER_CLASSES HelloCluster.java
javac -d $CLIENT_CLASSES HelloClusterClient.java
javac -d $SERVER_CLASSES HelloClusterImpl.java
javac -d $CLIENT_CLASSES ../utils/*.java

# REM Note the -clusterable flag
java weblogic.rmic -d $SERVER_CLASSES -methodsAreIdempotent -clusterable -keepgenerated -commentary examples.cluster.rmi.HelloClusterImpl

cd ..
javac -d $SERVER_CLASSES utils/*.java
cd rmi

echo ""
echo "========= End of building RMI cluster example ========="

exit 1